<!DOCTYPE html>
<html lang="zxx">
   <head>
      <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
      <meta charset="utf-8">
      <meta http-equiv="x-ua-compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="keyword" content="">
      <meta name="author"  content=""/>
      <!-- Page Title -->
      <title>CropperJS | Avesta - Multipurpose Admin Dashboard Template</title>
      <!-- Required CSS -->
      <link type="text/css" rel="stylesheet" href="assets/plugins/cropperjs/css/cropper.css"/>
      <link type="text/css" rel="stylesheet" href="assets/plugins/cropperjs/css/main.css"/>
      <link type="text/css" rel="stylesheet" href="assets/plugins/prism/prism-vs.css"/>
      <!-- Main CSS -->	  
      <link type="text/css" rel="stylesheet" href="assets/css/style.css"/>
      <!-- Favicon -->	
      <link rel="icon" href="assets/images/favicon.ico" type="image/x-icon">
      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
   </head>
   <body>
      <!--================================-->
      <!-- Page Container Start -->
      <!--================================-->
      <div class="page-container">
         <!--================================-->
         <!-- Page Sidebar Start -->
         <!--================================-->
         <div class="page-sidebar">
            <div class="logo">
               <a class="logo-img" href="index.html">		
               <img class="desktop-logo" src="assets/images/logo.png" alt="">
               <img class="small-logo" src="assets/images/small-logo.png" alt="">
               </a>			
               <a id="sidebar-toggle-button-close"><i class="wd-20" data-feather="x"></i> </a>
            </div>
            <!--================================-->
            <!-- Sidebar Menu Start -->
            <!--================================-->
            <div class="page-sidebar-inner">
               <div class="page-sidebar-menu">
                  <ul class="accordion-menu">
                     <li class="mg-l-20-force mg-t-25-force menu-navigation">Navigation</li>
                     <li>
                        <a href=""><i data-feather="home"></i>
                        <span>Dashboard</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="index.html">Sales</a></li>
                           <li><a href="index2.html">Analytics</a></li>
                           <li><a href="index3.html">Cryptocurrency</a></li>
                           <li><a href="index4.html">Helpdesk</a></li>
                           <li><a href="index5.html">Project</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="mail"></i>
                        <span>Mailbox</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="mailbox.html">Inbox</a></li>
                           <li><a href="mailbox-message.html">View Mail</a></li>
                           <li><a href="mailbox-compose.html">Compose Mail</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="feather"></i>
                        <span>Apps View</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="app-chatroom.html">Chat Room</a></li>
                           <li><a href="app-calendar.html">Calendar</a></li>
                           <li><a href="app-file-manager.html">File Manager</a></li>
                        </ul>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-elements">Elements</li>
                     <li>
                        <a href=""><i data-feather="underline"></i>
                        <span>UI Elements</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uie-accordion.html">Accordion</a></li>
                           <li><a href="uie-alert.html">Alerts</a></li>
                           <li><a href="uie-avatar.html">Avatar</a></li>
                           <li><a href="uie-badge.html">Badges</a></li>
                           <li><a href="uie-breadcrumbs.html">Breadcrumbs</a></li>
                           <li><a href="uie-buttons.html">Buttons</a></li>
                           <li><a href="uie-button-groups.html">Button Groups</a></li>
                           <li><a href="uie-cards.html">Cards</a></li>
                           <li><a href="uie-carousel.html">Carousel</a></li>
                           <li><a href="uie-collapse.html">Collapse</a></li>
                           <li><a href="uie-dropdown.html">Dropdown</a></li>
                           <li><a href="uie-images.html">Images</a></li>
                           <li><a href="uie-list-group.html">List Group</a></li>
                           <li><a href="uie-marker.html">Marker</a></li>
                           <li><a href="uie-modal.html">Modal</a></li>
                           <li><a href="uie-navs.html">Navs</a></li>
                           <li><a href="uie-navbar.html">Navbar</a></li>
                           <li><a href="uie-pagination.html">Pagination</a></li>
                           <li><a href="uie-placeholder.html">Placeholder</a></li>
                           <li><a href="uie-popovers.html">Popovers</a></li>
                           <li><a href="uie-progress.html">Progress</a></li>
                           <li><a href="uie-scrollbar.html">Scrollbar</a></li>
                           <li><a href="uie-scrollspy.html">Scrollspy</a></li>
                           <li><a href="uie-spinners.html">Spinners</a></li>
                           <li><a href="uie-tooltips.html">Tooltips</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="aperture"></i>
                        <span>UI Utilities</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uiu-background.html">Background</a></li>
                           <li><a href="uiu-borders.html">Borders</a></li>
                           <li><a href="uiu-colors.html">Colors</a></li>
                           <li><a href="uiu-display.html">Display </a></li>
                           <li><a href="uiu-embeds.html">Embeds</a></li>
                           <li><a href="uiu-flex.html">Flex</a></li>
                           <li><a href="uiu-margin.html">Margin</a></li>
                           <li><a href="uiu-padding.html">Padding</a></li>
                           <li><a href="uiu-float.html">Float</a></li>
                           <li><a href="uiu-position.html">Position</a></li>
                           <li><a href="uiu-screenreaders.html">Screenreaders</a></li>
                           <li><a href="uiu-sizing.html">Sizing</a></li>
                           <li><a href="uiu-spacing.html">Spacing</a></li>
                           <li><a href="uiu-text.html">Text</a></li>
                           <li><a href="uiu-vertical-alignment.html">Vertical Alignment</a></li>
                           <li><a href="uiu-width.html">Width</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="grid"></i>
                        <span>Grid</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="grid-utilities-layout.html">Utilities for Layout</a></li>
                           <li><a href="grid-auto-layout-columns.html">Auto-layout Columns</a></li>
                           <li><a href="grid-responsive-classes.html">Responsive Classes</a></li>
                           <li><a href="grid-alignment.html">Alignment</a></li>
                           <li><a href="grid-reordering.html">Reordering</a></li>
                           <li><a href="grid-customizing-grid.html">Customizing Grid</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="gift"></i>
                        <span>Icons</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="icon-font-awesome.html">Font Awesome</a></li>
                           <li><a href="icon-feather.html">Feather Icons</a></li>
                           <li><a href="icon-mdi.html">Mdi icons</a></li>
                           <li><a href="icon-flag.html">Flag icons</a></li>
                           <li><a href="icon-simple-line.html">Simple line icons</a></li>
                           <li><a href="icon-themify.html">Themify icons</a></li>
                           <li><a href="icon-weather.html">Weather Icons</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="calendar"></i>
                        <span>Forms</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="form-element.html">Form Elements</a></li>
                           <li><a href="form-formatter.html">Form Formatter </a></li>
                           <li><a href="form-input-group.html">Input Group</a></li>
                           <li><a href="form-input-tag.html">Input Tags</a></li>
                           <li><a href="form-input-masks.html">Input Masks</a></li>
                           <li><a href="form-layout.html">Form Layouts</a></li>
                           <li><a href="form-validation.html">Form Validation</a></li>
                           <li><a href="form-wizard.html">Form Wizard</a></li>
                           <li><a href="form-range-slider.html">Range Slider</a></li>
                           <li><a href="form-date-pickers.html">Date Pickers</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="database"></i>
                        <span>Tables</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="table-static.html">Static</a></li>
                           <li><a href="table-responsive.html">Responsive</a></li>
                           <li><a href="table-datatable.html">Data Tables</a></li>
                           <li><a href="table-footable.html">Foo Tables</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="pie-chart"></i>
                        <span>Charts</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="chart-apex.html">Apex</a></li>
                           <li><a href="chart-google.html">Google</a></li>
                           <li><a href="chart-morris.html">Morris</a></li>
                           <li><a href="chart-chartjs.html">ChartJS</a></li>
                           <li><a href="chart-flot.html">Flot</a></li>
                           <li><a href="chart-chartlist.html">Chartlist</a></li>
                           <li><a href="chart-sparkline.html">Sparkline</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="map"></i>
                        <span>Maps</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="map-google.html">Google Maps</a></li>
                           <li><a href="map-vector.html">Vector Maps</a></li>
                        </ul>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-extras">Extras</li>
                     <li>
                        <a href=""><i data-feather="cpu"></i>
                        <span>Authentication</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="aut-error404.html">404 Page</a></li>
                           <li><a href="aut-error500.html">500 Page</a></li>
                           <li><a href="aut-signin.html">Login</a></li>
                           <li><a href="aut-signup.html">Register</a></li>
                           <li><a href="aut-unlock.html">Lockscreen</a></li>
                           <li><a href="aut-password.html">password Reset</a></li>
                           <li><a href="aut-logign-register.html">Login + Register</a></li>
                        </ul>
                     </li>
                     <li class="open active">
                        <a href=""><i data-feather="git-pull-request"></i>
                        <span>Plugins</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu" style="display: block;">
                           <li><a href="plg-bootbox.html">Bootbox</a></li>
                           <li><a href="plg-block-ui.html">BlockUI</a></li>
                           <li><a href="plg-bootstrap-data-table.html">Bootstrap dataTable</a></li>
                           <li><a href="plg-bootstrap-daterangepicker.html">Bootstrap Daterangepicker</a></li>
                           <li><a href="plg-bootstrap-dateTimePicker.html">Bootstrap DateTimePicker</a></li>
                           <li><a href="plg-bootstrap-dual-listbox.html">Bootstrap Dual Listbox</a></li>
                           <li><a href="plg-bootstrap-slider.html">Bootstrap Slider</a></li>
                           <li><a href="plg-bootstrap-markdown.html">Bootstrap Markdown</a></li>
                           <li><a href="plg-bootstrap-maxlength.html">Bootstrap Maxlength</a></li>
                           <li><a href="plg-bootstrap-multiselect.html">Bootstrap Multiselect</a></li>
                           <li><a href="plg-bootstrap-pwstrength.html">Bootstrap Pwstrength</a></li>
                           <li><a href="plg-bootstrap-select.html">Bootstrap Select</a></li>
                           <li><a href="plg-bootstrap-sortable.html">Bootstrap Sortable</a></li>
                           <li><a href="plg-bootstrap-tagsinput.html">Bootstrap Tagsinput</a></li>
                           <!-- Active Page -->
                           <li class="active"><a href="plg-cropper.html">Cropper</a></li>
                           <li><a href="plg-clipboard.html">Clipboard</a></li>
                           <li><a href="plg-codeeditor.html">Code Editor</a></li>
                           <li><a href="plg-dropzone.html">Dropzone</a></li>
                           <li><a href="plg-dragula.html">Dragula</a></li>
                           <li><a href="plg-flow-js.html">Flow.js</a></li>
                           <li><a href="plg-fullcalendar.html">Fullcalendar</a></li>
                           <li><a href="plg-flatpickr.html">Flatpickr</a></li>
                           <li><a href="plg-growl.html">Growl</a></li>
                           <li><a href="plg-idle-timer.html">IdleTimer</a></li>
                           <li><a href="plg-knob.html">Knob</a></li>
                           <li><a href="plg-ladda.html">Ladda</a></li>
                           <li><a href="plg-masonry.html">Masonry</a></li>
                           <li><a href="plg-nestable.html">Nestable</a></li>
                           <li><a href="plg-numeral.html">Numeral</a></li>
                           <li><a href="plg-no-ui-slider.html">noUiSlider</a></li>
                           <li><a href="plg-photoswipe.html">Photoswipe</a></li>
                           <li><a href="plg-plyr.html">Plyr</a></li>
                           <li><a href="plg-sortable-js.html">Sortable.js</a></li>
                           <li><a href="plg-spinkit.html">Spinkit</a></li>
                           <li><a href="plg-swiper.html">Swiper</a></li>
                           <li><a href="plg-select2.html">Select2</a></li>
                           <li><a href="plg-sweet-alert2.html">SweetAlert2</a></li>
                           <li><a href="plg-SmartWizard.html">SmartWizard</a></li>
                           <li><a href="plg-typeahead.html">Typeahead</a></li>
                           <li><a href="plg-toastr.html">Toastr</a></li>
                           <li><a href="plg-jstree.html">Tree</a></li>
                           <li><a href="plg-vanilla-text-mask.html">Vanilla Text Mask</a></li>
                           <li><a href="plg-wysiwyg.html">WYSIWYG Editor</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="codepen"></i>
                        <span>Pages</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="pages-article.html">Articles</a></li>
                           <li><a href="pages-contact.html">Contacts</a></li>
                           <li><a href="pages-faq.html">FAQ's</a></li>
                           <li><a href="pages-forum.html">Forum</a></li>
                           <li><a href="pages-gallery.html">Gallery</a></li>
                           <li><a href="pages-invoice.html">Invoice</a></li>
                           <li><a href="pages-profile.html">Profile</a></li>
                           <li><a href="pages-product.html">Products</a></li>
                           <li><a href="pages-pricing.html">Pricing</a></li>
                           <li><a href="pages-project.html">Projects</a></li>
                           <li><a href="pages-search.html">Search</a></li>
                           <li><a href="pages-ticket.html">Tickets</a></li>
                           <li><a href="pages-voting.html">Voting</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="codepen"></i>
                        <span>UI Kit</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uik-base.html" target="_blank">Base</a></li>
                           <li><a href="uik-company.html" target="_blank">Company</a></li>
                           <li><a href="uik-ecommerce.html" target="_blank">E-Commerce</a></li>
                           <li><a href="uik-magazine.html" target="_blank">Magazine</a></li>
                           <li><a href="uik-social.html" target="_blank">Social</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href="email-template.html"><i data-feather="printer"></i>
                        <span>Mail Template</span></a>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-others">Others</li>
                     <li>
                        <a href="../documentation/documentation.html"><i data-feather="life-buoy"></i>
                        <span>Documentation</span></a>
                     </li>
                     <li>
                        <a href="../documentation/changelog.html"><i data-feather="coffee"></i>
                        <span>Changelog</span></a>
                     </li>
                  </ul>
               </div>
            </div>
            <!--/ Sidebar Menu End -->
            <!--================================-->
            <!-- Sidebar Footer Start -->
            <!--================================-->
            <div class="sidebar-footer">									
               <a class="pull-left" href="pages-profile.html" data-toggle="tooltip" data-placement="top" data-original-title="Profile">
               <i data-feather="user" class="wd-16"></i></a>									
               <a class="pull-left " href="mailbox.html" data-toggle="tooltip" data-placement="top" data-original-title="Mailbox">
               <i data-feather="mail" class="wd-16"></i></a>
               <a class="pull-left" href="aut-unlock.html" data-toggle="tooltip" data-placement="top" data-original-title="Lockscreen">
               <i data-feather="lock" class="wd-16"></i></a>
               <a class="pull-left" href="aut-signin.html" data-toggle="tooltip" data-placement="top" data-original-title="Sing Out">
               <i data-feather="log-out" class="wd-16"></i></a>
            </div>
            <!--/ Sidebar Footer End -->
         </div>
         <!--/ Page Sidebar End -->
         <!--================================-->
         <!-- Page Content Start -->
         <!--================================-->
         <div class="page-content">
            <!--================================-->
            <!-- Page Header Start -->
            <!--================================-->
            <div class="page-header">
               <nav class="navbar navbar-default d-flex bg-dark">
                  <div class="navbar-header">
                     <div class="navbar-brand">
                        <ul class="list-inline">
                           <!-- Mobile Toggle and Logo -->
                           <li class="list-inline-item"><a class="hidden-md hidden-lg tx-white" href="#" id="sidebar-toggle-button"><i data-feather="menu" class="wd-20"></i></a></li>
                           <!-- PC Toggle and Logo -->
                           <li class="list-inline-item"><a class=" hidden-xs hidden-sm tx-white" href="#" id="collapsed-sidebar-toggle-button"><i data-feather="menu" class="wd-20"></i></a></li>
                        </ul>
                     </div>
                  </div>				  
                  <h3 class="tx-24 tx-semibold tx-gray-100">Plugins</h3>
                  <a href="https://themeforest.net/user/colorlibcode/portfolio" class="btm btn-custom-primary mg-b-10 hidden-xs">Buy Now</a>
               </nav>
            </div>
            <!--/ Page Header End -->   
            <!--================================-->
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!-- Main Wrapper -->
               <div id="main-wrapper">
                  <div class="mg-y-30">
                     <h2>CropperJS</h2>
                     <pre><a href="https://github.com/fengyuanchen/cropperjs" target="_blank">https://github.com/fengyuanchen/cropperjs</a></pre>
                     <p></p>
                     <h4 class="mg-y-30">Examples</h4>
                     <div class="wrapper">
                        <div class="row">
                           <div class="col-lg-9">
                              <!-- <h3>Demo:</h3> -->
                              <div class="img-container">
                                 <img src="assets/images/gallery/bg-big-1.jpg" alt="Picture">
                              </div>
                           </div>
                           <div class="col-lg-3">
                              <!-- <h3>Preview:</h3> -->
                              <div class="docs-preview clearfix">
                                 <div class="img-preview preview-lg"></div>
                                 <div class="img-preview preview-md"></div>
                                 <div class="img-preview preview-sm"></div>
                                 <div class="img-preview preview-xs"></div>
                              </div>
                              <!-- <h3>Data:</h3> -->
                              <div class="docs-data">
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataX">X</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataX" placeholder="x">
                                    <span class="input-group-append">
                                    <span class="input-group-text">px</span>
                                    </span>
                                 </div>
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataY">Y</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataY" placeholder="y">
                                    <span class="input-group-append">
                                    <span class="input-group-text">px</span>
                                    </span>
                                 </div>
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataWidth">Width</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataWidth" placeholder="width">
                                    <span class="input-group-append">
                                    <span class="input-group-text">px</span>
                                    </span>
                                 </div>
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataHeight">Height</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataHeight" placeholder="height">
                                    <span class="input-group-append">
                                    <span class="input-group-text">px</span>
                                    </span>
                                 </div>
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataRotate">Rotate</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataRotate" placeholder="rotate">
                                    <span class="input-group-append">
                                    <span class="input-group-text">deg</span>
                                    </span>
                                 </div>
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataScaleX">ScaleX</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataScaleX" placeholder="scaleX">
                                 </div>
                                 <div class="input-group input-group-sm">
                                    <span class="input-group-prepend">
                                    <label class="input-group-text" for="dataScaleY">ScaleY</label>
                                    </span>
                                    <input type="text" class="form-control" id="dataScaleY" placeholder="scaleY">
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="row" id="actions">
                           <div class="col-md-12 col-lg-9 docs-buttons">
                              <!-- <h3>Toolbar:</h3> -->
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="setDragMode" data-option="move" title="Move">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.setDragMode(&quot;move&quot;)">
                                 <span class="fa fa-arrows-alt"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="setDragMode" data-option="crop" title="Crop">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.setDragMode(&quot;crop&quot;)">
                                 <span class="fa fa-crop"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="zoom" data-option="0.1" title="Zoom In">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.zoom(0.1)">
                                 <span class="fa fa-search-plus"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="zoom" data-option="-0.1" title="Zoom Out">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.zoom(-0.1)">
                                 <span class="fa fa-search-minus"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="move" data-option="-10" data-second-option="0" title="Move Left">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(-10, 0)">
                                 <span class="fa fa-arrow-left"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="move" data-option="10" data-second-option="0" title="Move Right">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(10, 0)">
                                 <span class="fa fa-arrow-right"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="move" data-option="0" data-second-option="-10" title="Move Up">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(0, -10)">
                                 <span class="fa fa-arrow-up"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="move" data-option="0" data-second-option="10" title="Move Down">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(0, 10)">
                                 <span class="fa fa-arrow-down"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="rotate" data-option="-45" title="Rotate Left">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.rotate(-45)">
                                 <span class="fa fa-undo"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="rotate" data-option="45" title="Rotate Right">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.rotate(45)">
                                 <span class="fa fa-repeat"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="scaleX" data-option="-1" title="Flip Horizontal">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.scaleX(-1)">
                                 <span class="fa fa-arrows-h"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="scaleY" data-option="-1" title="Flip Vertical">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.scaleY(-1)">
                                 <span class="fa fa-arrows-v"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="crop" title="Crop">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.crop()">
                                 <span class="fa fa-check"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="clear" title="Clear">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.clear()">
                                 <span class="fa fa-times"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="disable" title="Disable">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.disable()">
                                 <span class="fa fa-lock"></span>
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-primary" data-method="enable" title="Enable">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.enable()">
                                 <span class="fa fa-unlock"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group">
                                 <button type="button" class="btn btn-primary" data-method="reset" title="Reset">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.reset()">
                                 <span class="fa fa-refresh"></span>
                                 </span>
                                 </button>
                                 <label class="btn btn-primary btn-upload" for="inputImage" title="Upload image file">
                                 <input type="file" class="sr-only" id="inputImage" name="file" accept="image/*">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="Import image with Blob URLs">
                                 <span class="fa fa-upload"></span>
                                 </span>
                                 </label>
                                 <button type="button" class="btn btn-primary" data-method="destroy" title="Destroy">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.destroy()">
                                 <span class="fa fa-power-off"></span>
                                 </span>
                                 </button>
                              </div>
                              <div class="btn-group btn-group-crop">
                                 <button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;maxWidth&quot;: 4096, &quot;maxHeight&quot;: 4096 }">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCroppedCanvas({ maxWidth: 4096, maxHeight: 4096 })">
                                 Get Cropped Canvas
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 160, &quot;height&quot;: 90 }">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCroppedCanvas({ width: 160, height: 90 })">
                                 160&times;90
                                 </span>
                                 </button>
                                 <button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 320, &quot;height&quot;: 180 }">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCroppedCanvas({ width: 320, height: 180 })">
                                 320&times;180
                                 </span>
                                 </button>
                              </div>
                              <!-- Show the cropped image in modal -->
                              <div class="modal fade docs-cropped" id="getCroppedCanvasModal" role="dialog" aria-hidden="true" aria-labelledby="getCroppedCanvasTitle" tabindex="-1">
                                 <div class="modal-dialog">
                                    <div class="modal-content">
                                       <div class="modal-header">
                                          <h5 class="modal-title" id="getCroppedCanvasTitle">Cropped</h5>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                          <span aria-hidden="true">&times;</span>
                                          </button>
                                       </div>
                                       <div class="modal-body"></div>
                                       <div class="modal-footer">
                                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                          <a class="btn btn-primary" id="download" href="javascript:void(0);" download="cropped.jpg">Download</a>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <!-- /.modal -->
                              <button type="button" class="btn btn-secondary" data-method="getData" data-option data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getData()">
                              Get Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="setData" data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.setData(data)">
                              Set Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="getContainerData" data-option data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getContainerData()">
                              Get Container Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="getImageData" data-option data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getImageData()">
                              Get Image Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="getCanvasData" data-option data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCanvasData()">
                              Get Canvas Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="setCanvasData" data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.setCanvasData(data)">
                              Set Canvas Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="getCropBoxData" data-option data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCropBoxData()">
                              Get Crop Box Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="setCropBoxData" data-target="#putData">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.setCropBoxData(data)">
                              Set Crop Box Data
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="moveTo" data-option="0">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.moveTo(0)">
                              Move to [0,0]
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="zoomTo" data-option="1">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.zoomTo(1)">
                              Zoom to 100%
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="rotateTo" data-option="180">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.rotateTo(180)">
                              Rotate 180&deg;	
                              </span>
                              </button>
                              <button type="button" class="btn btn-secondary" data-method="scale" data-option="-2" data-second-option="-1">
                              <span class="docs-tooltip" data-toggle="tooltip" title="cropper.scale(-2, -1)">
                              Scale (-2, -1)
                              </span>
                              </button>
                              <textarea class="form-control" id="putData" placeholder="Get data to here or set data with this value"></textarea>
                           </div>
                           <!-- /.docs-buttons -->
                           <div class="col-md-12 col-lg-3 docs-toggles">
                              <!-- <h3>Toggles:</h3> -->
                              <div class="btn-group d-flex flex-nowrap" data-toggle="buttons">
                                 <label class="btn btn-primary active">
                                 <input type="radio" class="sr-only" id="aspectRatio1" name="aspectRatio" value="1.7777777777777777">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 16 / 9">
                                 16:9
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="aspectRatio2" name="aspectRatio" value="1.3333333333333333">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 4 / 3">
                                 4:3
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="aspectRatio3" name="aspectRatio" value="1">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 1 / 1">
                                 1:1
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="aspectRatio4" name="aspectRatio" value="0.6666666666666666">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 2 / 3">
                                 2:3
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="aspectRatio5" name="aspectRatio" value="NaN">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: NaN">
                                 Free
                                 </span>
                                 </label>
                              </div>
                              <div class="btn-group d-flex flex-nowrap" data-toggle="buttons">
                                 <label class="btn btn-primary active">
                                 <input type="radio" class="sr-only" id="viewMode0" name="viewMode" value="0" checked>
                                 <span class="docs-tooltip" data-toggle="tooltip" title="View Mode 0">
                                 VM0
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="viewMode1" name="viewMode" value="1">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="View Mode 1">
                                 VM1
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="viewMode2" name="viewMode" value="2">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="View Mode 2">
                                 VM2
                                 </span>
                                 </label>
                                 <label class="btn btn-primary">
                                 <input type="radio" class="sr-only" id="viewMode3" name="viewMode" value="3">
                                 <span class="docs-tooltip" data-toggle="tooltip" title="View Mode 3">
                                 VM3
                                 </span>
                                 </label>
                              </div>
                              <div class="dropdown dropup docs-options">
                                 <button type="button" class="btn btn-primary btn-block dropdown-toggle" id="toggleOptions" data-toggle="dropdown" aria-expanded="true">
                                 Toggle Options
                                 <span class="caret"></span>
                                 </button>
                                 <ul class="dropdown-menu" role="menu" aria-labelledby="toggleOptions">
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="responsive" type="checkbox" name="responsive" checked>
                                          <label class="form-check-label" for="responsive">responsive</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="restore" type="checkbox" name="restore" checked>
                                          <label class="form-check-label" for="restore">restore</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="checkCrossOrigin" type="checkbox" name="checkCrossOrigin" checked>
                                          <label class="form-check-label" for="checkCrossOrigin">checkCrossOrigin</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="checkOrientation" type="checkbox" name="checkOrientation" checked>
                                          <label class="form-check-label" for="checkOrientation">checkOrientation</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="modal" type="checkbox" name="modal" checked>
                                          <label class="form-check-label" for="modal">modal</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="guides" type="checkbox" name="guides" checked>
                                          <label class="form-check-label" for="guides">guides</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="center" type="checkbox" name="center" checked>
                                          <label class="form-check-label" for="center">center</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="highlight" type="checkbox" name="highlight" checked>
                                          <label class="form-check-label" for="highlight">highlight</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="background" type="checkbox" name="background" checked>
                                          <label class="form-check-label" for="background">background</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="autoCrop" type="checkbox" name="autoCrop" checked>
                                          <label class="form-check-label" for="autoCrop">autoCrop</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="movable" type="checkbox" name="movable" checked>
                                          <label class="form-check-label" for="movable">movable</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="rotatable" type="checkbox" name="rotatable" checked>
                                          <label class="form-check-label" for="rotatable">rotatable</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="scalable" type="checkbox" name="scalable" checked>
                                          <label class="form-check-label" for="scalable">scalable</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="zoomable" type="checkbox" name="zoomable" checked>
                                          <label class="form-check-label" for="zoomable">zoomable</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="zoomOnTouch" type="checkbox" name="zoomOnTouch" checked>
                                          <label class="form-check-label" for="zoomOnTouch">zoomOnTouch</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="zoomOnWheel" type="checkbox" name="zoomOnWheel" checked>
                                          <label class="form-check-label" for="zoomOnWheel">zoomOnWheel</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="cropBoxMovable" type="checkbox" name="cropBoxMovable" checked>
                                          <label class="form-check-label" for="cropBoxMovable">cropBoxMovable</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="cropBoxResizable" type="checkbox" name="cropBoxResizable" checked>
                                          <label class="form-check-label" for="cropBoxResizable">cropBoxResizable</label>
                                       </div>
                                    </li>
                                    <li class="dropdown-item">
                                       <div class="form-check">
                                          <input class="form-check-input" id="toggleDragModeOnDblclick" type="checkbox" name="toggleDragModeOnDblclick" checked>
                                          <label class="form-check-label" for="toggleDragModeOnDblclick">toggleDragModeOnDblclick</label>
                                       </div>
                                    </li>
                                 </ul>
                              </div>
                              <!-- /.dropdown -->
                              <a class="btn btn-success btn-block" data-toggle="tooltip" href="https://fengyuanchen.github.io/photo-editor" title="An advanced example of Cropper.js">Photo Editor</a>
                           </div>
                           <!-- /.docs-toggles -->
                        </div>
                     </div>
                     <h4 class="mg-t-30 mb-0">Usages</h4>
                     <pre><code class="language-html">&lt;link rel="stylesheet" href="assets/plugins/cropperjs/css/cropper.css"></code></pre>
                     <pre><code class="language-html">&lt;link rel="stylesheet" href="assets/plugins/cropperjs/css/main.css"></code></pre>
                     <pre><code class="language-html">&lt;script src="assets/plugins/cropperjs/js/cropper.js">&lt;/script></code></pre>
                     <pre><code class="language-html">&lt;script src="assets/plugins/cropperjs/js/main.js">&lt;/script></code></pre>
                     <pre><code class="language-html">&lt;div class="container">
&lt;div class="row">
  &lt;div class="col-md-9">
	&lt;!-- &lt;h3>Demo:&lt;/h3> -->
	&lt;div class="img-container">
	  &lt;img src="assets/images/gallery/bg-big-1.jpg" alt="Picture">
	&lt;/div>
  &lt;/div>
  &lt;div class="col-md-3">
	&lt;!-- &lt;h3>Preview:&lt;/h3> -->
	&lt;div class="docs-preview clearfix">
	  &lt;div class="img-preview preview-lg">&lt;/div>
	  &lt;div class="img-preview preview-md">&lt;/div>
	  &lt;div class="img-preview preview-sm">&lt;/div>
	  &lt;div class="img-preview preview-xs">&lt;/div>
	&lt;/div>

	&lt;!-- &lt;h3>Data:&lt;/h3> -->
	&lt;div class="docs-data">
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataX">X&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataX" placeholder="x">
		&lt;span class="input-group-append">
		  &lt;span class="input-group-text">px&lt;/span>
		&lt;/span>
	  &lt;/div>
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataY">Y&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataY" placeholder="y">
		&lt;span class="input-group-append">
		  &lt;span class="input-group-text">px&lt;/span>
		&lt;/span>
	  &lt;/div>
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataWidth">Width&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataWidth" placeholder="width">
		&lt;span class="input-group-append">
		  &lt;span class="input-group-text">px&lt;/span>
		&lt;/span>
	  &lt;/div>
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataHeight">Height&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataHeight" placeholder="height">
		&lt;span class="input-group-append">
		  &lt;span class="input-group-text">px&lt;/span>
		&lt;/span>
	  &lt;/div>
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataRotate">Rotate&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataRotate" placeholder="rotate">
		&lt;span class="input-group-append">
		  &lt;span class="input-group-text">deg&lt;/span>
		&lt;/span>
	  &lt;/div>
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataScaleX">ScaleX&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataScaleX" placeholder="scaleX">
	  &lt;/div>
	  &lt;div class="input-group input-group-sm">
		&lt;span class="input-group-prepend">
		  &lt;label class="input-group-text" for="dataScaleY">ScaleY&lt;/label>
		&lt;/span>
		&lt;input type="text" class="form-control" id="dataScaleY" placeholder="scaleY">
	  &lt;/div>
	&lt;/div>
  &lt;/div>
&lt;/div>
&lt;div class="row" id="actions">
  &lt;div class="col-md-9 docs-buttons">
	&lt;!-- &lt;h3>Toolbar:&lt;/h3> -->
	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="setDragMode" data-option="move" title="Move">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.setDragMode(&quot;move&quot;)">
		  &lt;span class="fa fa-arrows-alt">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="setDragMode" data-option="crop" title="Crop">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.setDragMode(&quot;crop&quot;)">
		  &lt;span class="fa fa-crop">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="zoom" data-option="0.1" title="Zoom In">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.zoom(0.1)">
		  &lt;span class="fa fa-search-plus">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="zoom" data-option="-0.1" title="Zoom Out">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.zoom(-0.1)">
		  &lt;span class="fa fa-search-minus">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="move" data-option="-10" data-second-option="0" title="Move Left">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(-10, 0)">
		  &lt;span class="fa fa-arrow-left">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="move" data-option="10" data-second-option="0" title="Move Right">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(10, 0)">
		  &lt;span class="fa fa-arrow-right">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="move" data-option="0" data-second-option="-10" title="Move Up">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(0, -10)">
		  &lt;span class="fa fa-arrow-up">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="move" data-option="0" data-second-option="10" title="Move Down">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.move(0, 10)">
		  &lt;span class="fa fa-arrow-down">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="rotate" data-option="-45" title="Rotate Left">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.rotate(-45)">
		  &lt;span class="fa fa-undo">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="rotate" data-option="45" title="Rotate Right">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.rotate(45)">
		  &lt;span class="fa fa-repeat">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="scaleX" data-option="-1" title="Flip Horizontal">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.scaleX(-1)">
		  &lt;span class="fa fa-arrows-h">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="scaleY" data-option="-1" title="Flip Vertical">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.scaleY(-1)">
		  &lt;span class="fa fa-arrows-v">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="crop" title="Crop">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.crop()">
		  &lt;span class="fa fa-check">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="clear" title="Clear">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.clear()">
		  &lt;span class="fa fa-times">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="disable" title="Disable">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.disable()">
		  &lt;span class="fa fa-lock">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-primary" data-method="enable" title="Enable">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.enable()">
		  &lt;span class="fa fa-unlock">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group">
	  &lt;button type="button" class="btn btn-primary" data-method="reset" title="Reset">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.reset()">
		  &lt;span class="fa fa-refresh">&lt;/span>
		&lt;/span>
	  &lt;/button>
	  &lt;label class="btn btn-primary btn-upload" for="inputImage" title="Upload image file">
		&lt;input type="file" class="sr-only" id="inputImage" name="file" accept="image/*">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="Import image with Blob URLs">
		  &lt;span class="fa fa-upload">&lt;/span>
		&lt;/span>
	  &lt;/label>
	  &lt;button type="button" class="btn btn-primary" data-method="destroy" title="Destroy">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.destroy()">
		  &lt;span class="fa fa-power-off">&lt;/span>
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;div class="btn-group btn-group-crop">
	  &lt;button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;maxWidth&quot;: 4096, &quot;maxHeight&quot;: 4096 }">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCroppedCanvas({ maxWidth: 4096, maxHeight: 4096 })">
		  Get Cropped Canvas
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 160, &quot;height&quot;: 90 }">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCroppedCanvas({ width: 160, height: 90 })">
		  160&times;90
		&lt;/span>
	  &lt;/button>
	  &lt;button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 320, &quot;height&quot;: 180 }">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCroppedCanvas({ width: 320, height: 180 })">
		  320&times;180
		&lt;/span>
	  &lt;/button>
	&lt;/div>

	&lt;!-- Show the cropped image in modal -->
	&lt;div class="modal fade docs-cropped" id="getCroppedCanvasModal" role="dialog" aria-hidden="true" aria-labelledby="getCroppedCanvasTitle" tabindex="-1">
	  &lt;div class="modal-dialog">
		&lt;div class="modal-content">
		  &lt;div class="modal-header">
			&lt;h5 class="modal-title" id="getCroppedCanvasTitle">Cropped&lt;/h5>
			&lt;button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  &lt;span aria-hidden="true">&times;&lt;/span>
			&lt;/button>
		  &lt;/div>
		  &lt;div class="modal-body">&lt;/div>
		  &lt;div class="modal-footer">
			&lt;button type="button" class="btn btn-secondary" data-dismiss="modal">Close&lt;/button>
			&lt;a class="btn btn-primary" id="download" href="javascript:void(0);" download="cropped.jpg">Download&lt;/a>
		  &lt;/div>
		&lt;/div>
	  &lt;/div>
	&lt;/div>&lt;!-- /.modal -->

	&lt;button type="button" class="btn btn-secondary" data-method="getData" data-option data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getData()">
		Get Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="setData" data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.setData(data)">
		Set Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="getContainerData" data-option data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getContainerData()">
		Get Container Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="getImageData" data-option data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getImageData()">
		Get Image Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="getCanvasData" data-option data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCanvasData()">
		Get Canvas Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="setCanvasData" data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.setCanvasData(data)">
		Set Canvas Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="getCropBoxData" data-option data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.getCropBoxData()">
		Get Crop Box Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="setCropBoxData" data-target="#putData">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.setCropBoxData(data)">
		Set Crop Box Data
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="moveTo" data-option="0">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.moveTo(0)">
		Move to [0,0]
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="zoomTo" data-option="1">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.zoomTo(1)">
		Zoom to 100%
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="rotateTo" data-option="180">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.rotateTo(180)">
		Rotate 180&deg;
	  &lt;/span>
	&lt;/button>
	&lt;button type="button" class="btn btn-secondary" data-method="scale" data-option="-2" data-second-option="-1">
	  &lt;span class="docs-tooltip" data-toggle="tooltip" title="cropper.scale(-2, -1)">
		Scale (-2, -1)
	  &lt;/span>
	&lt;/button>
	&lt;textarea class="form-control" id="putData" placeholder="Get data to here or set data with this value">&lt;/textarea>

  &lt;/div>&lt;!-- /.docs-buttons -->

  &lt;div class="col-md-3 docs-toggles">
	&lt;!-- &lt;h3>Toggles:&lt;/h3> -->
	&lt;div class="btn-group d-flex flex-nowrap" data-toggle="buttons">
	  &lt;label class="btn btn-primary active">
		&lt;input type="radio" class="sr-only" id="aspectRatio1" name="aspectRatio" value="1.7777777777777777">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 16 / 9">
		  16:9
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="aspectRatio2" name="aspectRatio" value="1.3333333333333333">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 4 / 3">
		  4:3
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="aspectRatio3" name="aspectRatio" value="1">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 1 / 1">
		  1:1
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="aspectRatio4" name="aspectRatio" value="0.6666666666666666">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 2 / 3">
		  2:3
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="aspectRatio5" name="aspectRatio" value="NaN">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: NaN">
		  Free
		&lt;/span>
	  &lt;/label>
	&lt;/div>

	&lt;div class="btn-group d-flex flex-nowrap" data-toggle="buttons">
	  &lt;label class="btn btn-primary active">
		&lt;input type="radio" class="sr-only" id="viewMode0" name="viewMode" value="0" checked>
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="View Mode 0">
		  VM0
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="viewMode1" name="viewMode" value="1">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="View Mode 1">
		  VM1
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="viewMode2" name="viewMode" value="2">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="View Mode 2">
		  VM2
		&lt;/span>
	  &lt;/label>
	  &lt;label class="btn btn-primary">
		&lt;input type="radio" class="sr-only" id="viewMode3" name="viewMode" value="3">
		&lt;span class="docs-tooltip" data-toggle="tooltip" title="View Mode 3">
		  VM3
		&lt;/span>
	  &lt;/label>
	&lt;/div>

	&lt;div class="dropdown dropup docs-options">
	  &lt;button type="button" class="btn btn-primary btn-block dropdown-toggle" id="toggleOptions" data-toggle="dropdown" aria-expanded="true">
		Toggle Options
		&lt;span class="caret">&lt;/span>
	  &lt;/button>
	  &lt;ul class="dropdown-menu" role="menu" aria-labelledby="toggleOptions">
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="responsive" type="checkbox" name="responsive" checked>
			&lt;label class="form-check-label" for="responsive">responsive&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="restore" type="checkbox" name="restore" checked>
			&lt;label class="form-check-label" for="restore">restore&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="checkCrossOrigin" type="checkbox" name="checkCrossOrigin" checked>
			&lt;label class="form-check-label" for="checkCrossOrigin">checkCrossOrigin&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="checkOrientation" type="checkbox" name="checkOrientation" checked>
			&lt;label class="form-check-label" for="checkOrientation">checkOrientation&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="modal" type="checkbox" name="modal" checked>
			&lt;label class="form-check-label" for="modal">modal&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="guides" type="checkbox" name="guides" checked>
			&lt;label class="form-check-label" for="guides">guides&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="center" type="checkbox" name="center" checked>
			&lt;label class="form-check-label" for="center">center&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="highlight" type="checkbox" name="highlight" checked>
			&lt;label class="form-check-label" for="highlight">highlight&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="background" type="checkbox" name="background" checked>
			&lt;label class="form-check-label" for="background">background&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="autoCrop" type="checkbox" name="autoCrop" checked>
			&lt;label class="form-check-label" for="autoCrop">autoCrop&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="movable" type="checkbox" name="movable" checked>
			&lt;label class="form-check-label" for="movable">movable&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="rotatable" type="checkbox" name="rotatable" checked>
			&lt;label class="form-check-label" for="rotatable">rotatable&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="scalable" type="checkbox" name="scalable" checked>
			&lt;label class="form-check-label" for="scalable">scalable&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="zoomable" type="checkbox" name="zoomable" checked>
			&lt;label class="form-check-label" for="zoomable">zoomable&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="zoomOnTouch" type="checkbox" name="zoomOnTouch" checked>
			&lt;label class="form-check-label" for="zoomOnTouch">zoomOnTouch&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="zoomOnWheel" type="checkbox" name="zoomOnWheel" checked>
			&lt;label class="form-check-label" for="zoomOnWheel">zoomOnWheel&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="cropBoxMovable" type="checkbox" name="cropBoxMovable" checked>
			&lt;label class="form-check-label" for="cropBoxMovable">cropBoxMovable&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="cropBoxResizable" type="checkbox" name="cropBoxResizable" checked>
			&lt;label class="form-check-label" for="cropBoxResizable">cropBoxResizable&lt;/label>
		  &lt;/div>
		&lt;/li>
		&lt;li class="dropdown-item">
		  &lt;div class="form-check">
			&lt;input class="form-check-input" id="toggleDragModeOnDblclick" type="checkbox" name="toggleDragModeOnDblclick" checked>
			&lt;label class="form-check-label" for="toggleDragModeOnDblclick">toggleDragModeOnDblclick&lt;/label>
		  &lt;/div>
		&lt;/li>
	  &lt;/ul>
	&lt;/div>&lt;!-- /.dropdown -->

	&lt;a class="btn btn-success btn-block" data-toggle="tooltip" href="https://fengyuanchen.github.io/photo-editor" title="An advanced example of Cropper.js">Photo Editor&lt;/a>

  &lt;/div>&lt;!-- /.docs-toggles -->
&lt;/div>
&lt;/div></code></pre>
                  </div>
               </div>
               <!--/ Main Wrapper End -->
            </div>
            <!--/ Page Inner End -->
            <!--================================-->
            <!-- Page Footer Start -->	
            <!--================================-->
            <footer class="page-footer">
               <div class="pd-t-4 pd-b-0 pd-x-20">
                  <div class="tx-10 tx-uppercase tx-gray-500 tx-spacing-1">
                     <p class="pd-y-10 mb-0">Copyright&copy; 2019 |  Created By  <a href="https://themeforest.net/user/colorlibcode/portfolio" target="_blank">ColorlibCode</a></p>
                  </div>
               </div>
            </footer>
            <!--/ Page Footer End -->
         </div>
         <!--/ Page Content End -->
      </div>
      <!--/ Page Container End -->
      <!--================================-->
      <!-- Footer Script -->
      <!--================================-->
      <script src="assets/plugins/jquery/jquery.min.js"></script>
      <script src="assets/plugins/jquery-ui/jquery-ui.js"></script>
      <script src="assets/plugins/popper/popper.js"></script>
      <script src="assets/plugins/moment/moment.min.js"></script>
      <script src="assets/plugins/feather/feather.min.js"></script>
      <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>
      <script src="assets/plugins/pace/pace.min.js"></script>
      <script src="assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
      <script src="assets/plugins/highlight/highlight.min.js"></script>
      <script src="assets/plugins/prism/prism.js"></script>
      <!-- CropperJS Script -->
      <script src="assets/plugins/cropperjs/js/cropper.js"></script>
      <script src="assets/plugins/cropperjs/js/main.js"></script>
      <!-- Required Script -->
      <script src="assets/js/app.js"></script>
      <script src="assets/js/avesta.js"></script>
   </body>
</html>